Skip to content
中文

POST /mj/submit/change

Method: POSTEndpoint: /mj/submit/change

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

Request Parameters

Header Parameters

text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
action
enum<string>
Required
  // provider-specific example normalized for English documentation
Enum Values:
UPSCALE
VARIATION
REROLL
Example:
UPSCALE
index
integer
<int32>
Optional
  // provider-specific example normalized for English documentation
>= 1
<= 4
Example:
1
notifyHook
string
Optional
Callback URL. If empty, the global notifyHook is used.
taskId
string
Task ID
Required
Example:
1320098173412546
Example
{
"action"
:
"UPSCALE"
,
"index"
:
1
,
"notifyHook"
:
"string"
,
"taskId"
:
"1320098173412546"
}

Example Request

Shell

bash
curl --location --request POST '/mj/submit/change' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "action": "UPSCALE",
    "index": 1,
    "notifyHook": "string",
    "taskId": "1320098173412546"
}'

Response

🟢 200 OK

Content Type: application/json

Response Schema

text
code
integer
<int32>
Required
Status Code: 1 (submission succeeded), 21 (already exists), 22 (queued), other (error)
Example:
1
description
string
Description
Required
Example:
submission succeeded
properties
object
Extended Fields
Optional
result
string
Task ID
Optional
Example:
1320098173412546

Example

json
{
    "code": 1,
    "description": "Submission succeeded",
    "properties": {},
    "result": 1320098173412546
}

🟢 201 Created

🟠 401 Unauthorized

🟠 403 Forbidden

🟠 404 Not Found